<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
    xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{layoutadmin}">

<head>
    <meta charset="UTF-8">
    <title>Class</title>
</head>

<body>
    <div layout:fragment="main">
        <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
            <div class="container-fluid">
                <div class="header-body">
                    <!-- Card stats -->
                    <div class="row">
                        <div class="col-xl-12 col-lg-12">
                            <div class="card card-stats mb-4 mb-xl-0">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col">
                                            <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                            <span class="h2 font-weight-bold mb-0">Kelas </span>
                                        </div>
                                        <div class="col-auto">
                                            <div
                                                class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                                <i class="fas fa-calendar"></i>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid mt--7">
            <div class="row">
                <div class="col">

                    <div class="alert alert-danger" th:if="${gagal != null}">
                        Save data gagal, Kelas tidak bisa dihapus karena sudah terdaftar di jadwal
                    </div>
                    <div class="alert alert-success" th:if="${success != null}">
                        Save data berhasil
                    </div>


                    <div class="card shadow">
                        <div class="card-header border-0">
                            <div class="row align-items-center">
                                <div class="col">
                                    <h3 class="mb-0">Data List</h3>
                                </div>
                                <div class="col text-right">
                                    <a th:href="@{/equipment/class/form}" class="btn btn-sm btn-default"><i
                                            class="fas fa-plus-circle"></i> Tambah</a>
                                </div>
                            </div>
                        </div>

                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="table-kelas" data-search="true" data-show-refresh="true" data-flat="true"
                                    data-page-size="25" data-pagination="true" data-ajax="ajaxRequestKelas"
                                    data-side-pagination="server">
                                </table>

                                <div class="modal fade" id="modal-action" tabindex="-1" role="dialog"
                                    aria-labelledby="modal-form" aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                                        <div class="modal-content">

                                            <div class="modal-body p-0">
                                                <input type="hidden" id="idKelas">
                                                <input type="hidden" id="idProdi">
                                                <input type="hidden" id="angkatan">
                                                <div class="card bg-secondary shadow border-0">
                                                    <div class="card-header bg-transparent pb-5">
                                                        <div class="text-muted text-center mt-2 mb-3">
                                                            <small>Show</small></div>
                                                        <div class="btn-wrapper text-center">
                                                            <a class="btn btn-neutral btn-icon" id="tampil-mahasiswa"
                                                                onclick="tampilMahasiswa()">
                                                                <span class="btn-inner--icon"><i
                                                                        class="fas fa-list"></i></span>
                                                                <span class="btn-inner--text">Tampil Mahasiswa</span>
                                                            </a>
                                                            <a class="btn btn-neutral btn-icon"
                                                                onclick="tambahMahasiswaKelas()">
                                                                <span class="btn-inner--icon"><i
                                                                        class="fas fa-plus-circle"></i></span>
                                                                <span class="btn-inner--text">Tambah Mahasiswa </span>
                                                            </a>
                                                        </div>
                                                    </div>
                                                    <div class="card-header bg-transparent pb-5">
                                                        <div class="text-muted text-center mt-2 mb-3">
                                                            <small>Action</small></div>
                                                        <div class="btn-wrapper text-center">
                                                            <button class="btn btn-primary btn-icon"
                                                                onclick="editKelas()">
                                                                <span class="btn-inner--icon"><i
                                                                        class="fas fa-pencil-alt"></i></span>
                                                                <span class="btn-inner--text">Edit</span>
                                                            </button>
                                                            <button onclick="actionHapus()"
                                                                class="btn btn-danger btn-icon">
                                                                <span class="btn-inner--icon"><i
                                                                        class="fas fa-trash"></i></span>
                                                                <span class="btn-inner--text">Hapus</span>
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="modal fade" id="modal-hapus" role="dialog"
                                    aria-labelledby="modal-notification" aria-hidden="true">
                                    <div class="modal-dialog modal-danger modal-dialog-centered modal-" role="document">
                                        <div class="modal-content bg-gradient-danger">

                                            <div class="modal-header">
                                                <h6 class="modal-title" id="modal-title-notification">Your attention is
                                                    required</h6>
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">×</span>
                                                </button>
                                            </div>

                                            <div class="modal-body">

                                                <div class="py-3 text-center">
                                                    <i class="far fa-trash-alt fa-3x"></i>
                                                    <h4 class="heading mt-4">Are you sure ?</h4>
                                                    <p>Once deleted, you will not be able to recover this imaginary
                                                        file!</p>
                                                </div>

                                            </div>

                                            <div class="modal-footer">
                                                <button onclick="hapusKelas()" type="button"
                                                    class="btn btn-white">Hapus</button>
                                                <button type="button" class="btn btn-link text-white ml-auto"
                                                    data-dismiss="modal">Tutup</button>
                                            </div>

                                        </div>
                                    </div>
                                </div>

                                </td>
                                </tr>
                                </tbody>
                                </table>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>
<link href="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.css" rel="stylesheet">
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.js"></script>
<script
    src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/filter-control/bootstrap-table-filter-control.min.js">
</script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/auto-refresh/bootstrap-table-auto-refresh.min.js">
</script>
<script>
    function ajaxRequestKelas(params) {
        // th:attr="data-url=@{/akademik/getdata-ploting(tahunAkademik='11fadd8d-383f-47b5-83ef-b6d79a5a96cd', kelas='61142fd3-701e-45a5-824a-b414f30e02ce')}"
        var url = '/equipment/class-list'
        $.get(url + '?' + $.param(params.data)).then(function (res) {
            params.success(res)
        })
    }

    var $tableJadwal = $('#table-kelas')

    $(function () {
        $tableJadwal.bootstrapTable({
            columns: [{
                field: 'nama',
                title: 'Nama Kelas',
                align: 'center',
                valign: 'middle'
            }, {
                title: 'prodi',
                field: 'prodi',
                align: 'center',
                valign: 'middle'
            }, {
                title: 'Total Mahasiswa',
                field: 'mahasiswa',
                align: 'center',
                valign: 'middle'
            }, {
                title: '#',
                field: 'html',
                align: 'center',
                valign: 'middle',
                events: window.operateEvents,
                formatter: actionFormat
            }]
        })
    })

    function actionFormat(value, row, index) {
        return [
            '<button class="btn btn-primary btn-sm action" ><i class="fas fa-eye"></i> Action </button>'
            // '<select id=sesi-'+ row.jadwal +' class="form-control sesi-"'+ row.jadwal +' onchange="validateSesi(this);" disabled style="width: 100%;">',
            // '</select>'
        ].join('')

    }

    window.operateEvents = {
        'click .action': function (e, value, row, index) {
            openModal(row);
        },
        'click .tampil-mahasiswa': function (e, value, row, index) {
            deleteFakultas(row.id);
        }
    }

    function openModal(row) {
        $('#idKelas').val(row.id);
        $('#idProdi').val(row.idProdi);
        $('#angkatan').val(row.angkatan);

        $("#modal-action").modal({
            show: true
        });
    }

    function actionHapus() {

        $("#modal-hapus").modal({
            show: true
        });

    }

    function hapusKelas(row) {

        location.href = '/equipment/class/delete?kelas=' + document.getElementById('idKelas').value

    }

    function tampilMahasiswa() {
        location.href = '/equipment/class/view?kelas=' + document.getElementById('idKelas').value
    }

    function editKelas() {
        location.href = '/equipment/class/form?id=' + document.getElementById('idKelas').value
    }

    function tambahMahasiswaKelas() {
        location.href = '/equipment/class/mahasiswa?kelas=' + document.getElementById('idKelas').value + '&prodi=' +
            document.getElementById('idProdi').value + '&angkatan=' + document.getElementById('angkatan').value
    }
</script>